Groovy Documentation

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class GrailsHttpSession

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.GrailsHttpSession

All Implemented Interfaces:
  HttpSession

    public class GrailsHttpSession

An adapter class that takes a regular HttpSession and allows you to access it like a Groovy map.

Authors:
  Graeme Rocher

Since:
  0.4

Constructor Summary
`GrailsHttpSession(HttpServletRequest request)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`long` | `getCreationTime()`
`java.lang.String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`ServletContext` | `getServletContext()`

`java.lang.Object`

`getSessionContext()`

@deprecated

See Also:
  javax.servlet.http.HttpSession#getSessionContext()

`java.lang.Object`

`getValue(java.lang.String name)`

@deprecated

See Also:
  javax.servlet.http.HttpSession#getValue(java.lang.String)

`String[]`

`getValueNames()`

@deprecated

See Also:
  javax.servlet.http.HttpSession#getValueNames()

`void` | `invalidate()`
`boolean` | `isNew()`

`void`

`putValue(java.lang.String name, java.lang.Object value)`

@deprecated

See Also:
  javax.servlet.http.HttpSession#putValue(java.lang.String, java.lang.Object)

`void` | `removeAttribute(java.lang.String name)`

`void`

`removeValue(java.lang.String name)`

@deprecated

See Also:
  javax.servlet.http.HttpSession#removeValue(java.lang.String)

`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setMaxInactiveInterval(int arg0)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsHttpSession

    public GrailsHttpSession(HttpServletRequest request)

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### getAttributeNames

    @SuppressWarnings("rawtypes")
    public java.util.Enumeration getAttributeNames()

### getCreationTime

    public long getCreationTime()

### getId

    public java.lang.String getId()

### getLastAccessedTime

    public long getLastAccessedTime()

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

### getServletContext

    public ServletContext getServletContext()

### getSessionContext

    @Deprecated
    public java.lang.Object getSessionContext()

  deprecated:
  See Also:
    javax.servlet.http.HttpSession#getSessionContext()

### getValue

    @Deprecated
    public java.lang.Object getValue(java.lang.String name)

  deprecated:
  See Also:
    javax.servlet.http.HttpSession#getValue(java.lang.String)

### getValueNames

    @Deprecated
    public String[] getValueNames()

  deprecated:
  See Also:
    javax.servlet.http.HttpSession#getValueNames()

### invalidate

    public void invalidate()

### isNew

    public boolean isNew()

### putValue

    @Deprecated
    public void putValue(java.lang.String name, java.lang.Object value)

  deprecated:
  See Also:
    javax.servlet.http.HttpSession#putValue(java.lang.String, java.lang.Object)

### removeAttribute

    public void removeAttribute(java.lang.String name)

### removeValue

    @Deprecated
    public void removeValue(java.lang.String name)

  deprecated:
  See Also:
    javax.servlet.http.HttpSession#removeValue(java.lang.String)

### setAttribute

    public void setAttribute(java.lang.String name, java.lang.Object value)

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int arg0)

### toString

    @SuppressWarnings("rawtypes")
    @Override
    public java.lang.String toString()

Groovy Documentation